use winit::event_loop::{ControlFlow, EventLoop};

mod render;
fn main() {
    env_logger::init();

    let event_loop = EventLoop::new().unwrap();
    event_loop.set_control_flow(ControlFlow::Poll);

    let vulkan_context = render::vulkan_context::VulkanContext::from(&event_loop);
    let mut app = render::app::App::from(vulkan_context);

    match event_loop.run_app(&mut app) {
        Ok(_) => {}
        Err(e) => {
            log::error!("Error running old app: {e}");
        }
    }
}
